Subject: Re: [PATCH v2 1/2] doc: merge-tree: provide a commit message

From: Andreas Schwab <[email-masked]>
Date: Wed, 09 Oct 2024 18:58:14 +0200

On Okt 08 2024, Junio C Hamano wrote:

>> -       NEWCOMMIT=$(git commit-tree $NEWTREE -p $BRANCH1 -p $BRANCH2)
>> +       NEWCOMMIT=$(git commit-tree $NEWTREE -F $FILE_WITH_COMMIT_MESSAGE \
>> +           -p $BRANCH1 -p $BRANCH2)
>>         git update-ref $BRANCH1 $NEWCOMMIT
>
> The shell should know, after seeing $FILE_WITH_COMMIT_MESSAGE and
> encountering the end of line, that you haven't completed telling
> what you started telling it.  Do you need " \" at the end of the
> line?

The contents of $(...) is a (multiline) shell script, with the same
whitespace and newline rules as a regular script.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."